/* giFTcurs - curses interface to giFT
 * Copyright (C) 2001-2002 Gran Weinholt <weinholt@linux.nu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 * $Id: gift.h,v 1.60 2002/05/27 23:02:14 chnix Exp $
 */
#ifndef _GIFT_H
#define _GIFT_H

#include <stdarg.h>
#include "parse.h"

typedef struct _gift_conn gift_conn;

typedef void (*callback_func) (gift_conn * id, xml_data line, void *data);

/* this needs to be called upon startup */
void gift_init(void);

/* this needs to be called upon exit */
void gift_cleanup(void);

/* connects to giFT daemon and returns socket fd */
int gift_connect(void);

/* print something on The gift fd */
int gift_printf(const char *fmt, ...)
	__attribute__ ((format(printf, 1, 2)));

/* this one appends id and xml packaging */
int gift_response(gift_conn * conn, const char *fmt, ...)
	__attribute__ ((format(printf, 2, 3)));

/* returns a new id, and calls func whenever this id arrives. */
gift_conn *gift_event(callback_func func, void *data);

/* unregister an id connection */
void gift_unregister(gift_conn *);

/* try to reconnect to daemon. returns 1 if already connected. */
int gift_attach(void);

#endif
