/* giFTcurs - curses interface to giFT
 * Copyright (C) 2001-2002 Gran Weinholt <weinholt@linux.nu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 * $Id: stats.h,v 1.3 2002/04/29 19:28:25 weinholt Exp $
 */
#ifndef _STATS_H
#define _STATS_H

typedef struct {
	unsigned int nodes;			/* number of nodes */
	unsigned int users, gigs, files;	/* their sharing statistics */
	int own_files, own_gigs;	/* our sharing statistics */
	int protos, protos_up;		/* number of plugins loaded */
} gift_stat;

extern gift_stat stats;

/* begin fetch of fresh stats from giFT */
void gift_stat_update(void (*callback) (void));
void gift_stat_stop(void);

/* free the stats structure */
void gift_stat_destroy(void);

#endif
