/* giFTcurs - curses interface to giFT
 * Copyright (C) 2001-2002 Gran Weinholt <weinholt@linux.nu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 * $Id: xcommon.h,v 1.16 2002/06/30 13:14:12 chnix Exp $
 */
#ifndef _XCOMMON_H
#define _XCOMMON_H

#include <stdarg.h>
#include <unistd.h>

/* open a tcp connection, return -1 on error */
int xconnect(char *host, char *port);

/* reads lines from a fd. Calls handler on each line, without the newline. */
int xgetlines(int fd, char *s, int size, int (*handle_line) (char *));

/* prints a formatted string on a file descriptor. Think vfprintf. */
void xvprintf(int fd, const char *fmt, va_list ap);

/* close a filedescriptor, and free any pending buffers */
#define xclose(fd) close(fd)

#endif
